# ls
if type -q "eza"
    set -U ls eza -lg --group-directories-first --git --git-repos-no-status --header --time-style=long-iso
else
    set -U ls ls
end
abbr -a ls $ls
abbr -a ll $ls
abbr -a la $ls -a
abbr -a ld $ls -a --total-size
abbr -a l  $ls -a

# git
abbr -a gs git status
abbr -a gco git checkout
abbr -a gcb git checkout -b
abbr -a gl git pull
abbr -a gp git push
abbr -a gpf! git push --force
abbr -a gaa git add -A
if type -q "lazygit"
    abbr -a lg lazygit
end
function cdg
    set git_root (git rev-parse --show-toplevel 2>/dev/null)
    if test -d $git_root
        cd $git_root
    else
        echo "Not inside a Git repository."
    end
end

# doctrine
abbr -a scme sc make:entity
abbr -a scmm sc make:migration
abbr -a scdm sc doctrine:migrations:migrate

abbr -a dbm ~/projects/dbmanager/bin/console

# bashtop
if type -q "bashtop"
    abbr -a top bashtop
end

# path
abbr -a ... cd ../..
abbr -a .... cd ../../..

# pixi
abbr -a pxi pixi global install
abbr -a pxs pixi global sync

# bat
if type -q "bat"
    abbr -a cat bat -P
end