if status is-interactive
    # Commands to run in interactive sessions can go here
end

set fish_greeting
 
# setup path
fish_add_path (path resolve $HOME/.local/bin)
fish_add_path (path resolve $HOME/bin)
fish_add_path /snap/bin

if command -v composer &> /dev/null
    fish_add_path (path resolve $HOME/.composer/vendor/bin)
    fish_add_path (composer global config bin-dir --absolute --quiet)
end

fish_add_path (path resolve $HOME/.symfony/bin)

set fish_function_path (path resolve $__fish_config_dir/functions/*/) $fish_function_path
set fish_complete_path (path resolve $__fish_config_dir/completions/*/) $fish_complete_path

set -gx XDG_CONFIG_HOME (path resolve $HOME/.config)

# local fish file
if test -f $HOME/local.fish
    source $HOME/local.fish
end

# set z to f
set -U Z_CMD f

# fnm
set FNM_PATH "$HOME/.local/share/fnm"
if test -d "$FNM_PATH"
  set PATH "$FNM_PATH" $PATH
  fnm env | source
end

fish_add_path /home/tim/.pixi/bin

set -gx EDITOR nano
set -gx PAGER less
